[issm-svn] r23326 - issm/trunk/packagers/win10
jdquinn at issm.ess.uci.edu
jdquinn at issm.ess.uci.edu
Wed Sep 19 18:58:24 PDT 2018
Author: jdquinn
Date: 2018-09-19 18:58:24 -0700 (Wed, 19 Sep 2018)
New Revision: 23326
Modified:
issm/trunk/packagers/win10/package64.sh
Log:
CHG: Modified packager to use new RSA key for connecting to ross
Modified: issm/trunk/packagers/win10/package64.sh
===================================================================
--- issm/trunk/packagers/win10/package64.sh 2018-09-20 01:12:34 UTC (rev 23325)
+++ issm/trunk/packagers/win10/package64.sh 2018-09-20 01:58:24 UTC (rev 23326)
@@ -51,6 +51,28 @@
tar -czf $TARBALL_NAME trunk
ls -lah $TARBALL_NAME
+# Ship binaries to website
+echo "Shipping binaries to website"
-#To upload to website:
-scp $TARBALL_NAME websites:/home/larour/files/$TARBALL_NAME
+# We're using public key authentication method to upload the tarball The
+# following lines check to see if the SSH Agent is running. If not, then it is
+# started and relevant information is forwarded to a script.
+pgrep "ssh-agent" > /dev/null
+
+if [ $? -ne 0 ]; then
+ echo "SSH agent is not running. Starting it..."
+ ssh-agent > ~/.ssh/agent.sh
+else
+ echo "SSH agent is running..."
+fi
+
+source ~/.ssh/agent.sh
+ssh-add ~/.ssh/win_bins-geidi_prime_to_ross
+
+scp $TARBALL_NAME jenkins at ross.ics.uci.edu:/var/www/html/$TARBALL_NAME
+
+if [ $? -ne 0 ]; then
+ echo "The upload failed."
+ echo "Perhaps the SSH agent was started by some other means."
+ echo "Try killing the agent and running again."
+fi
More information about the issm-svn
mailing list